package com.gic.haoban.manage.web.vo.chat;

import java.io.Serializable;

/**
 * 
 * @ClassName: TabHaobanGroupChatHm
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:30:48
 * @Modify
 * @CopyRight 
 */
public class GroupChatHmVO implements Serializable {

    private static final long serialVersionUID = 21518878229500L;

    private Long chatHmId;
    private String chatHmCode;
    private String name;
    private String remark;
    /**0-否；1-是*/
    private Integer autoCreateRoom;
    /**自动建群的群起始序号*/
    private Integer roomBaseId;
    /**自动建群的群名前缀*/
    private String roomBaseName;
    private String wxConfigId;
    private String wxQrCode;
    private String creatorId;
    private String creatorName;
    private String modifierId;
    private String modifierName;
    private java.util.Date createTime;
    private java.util.Date updateTime;
    /**关联群数量*/
    private Integer chatCount;
    /**已关联链接数*/
    private Integer linkCount;
    // 1有效 2作废
    private Integer statusFlag;
    // 可以群数
    private Integer usableChatCount;
    private String useRemark;
    private String storeId ;
    private String storeName ;
    private String storeCode ;
    // 0已删除 1有效
    private int storeStatus ;

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public int getStoreStatus() {
        return storeStatus;
    }

    public void setStoreStatus(int storeStatus) {
        this.storeStatus = storeStatus;
    }

    public String getUseRemark() {
        return useRemark;
    }

    public void setUseRemark(String useRemark) {
        this.useRemark = useRemark;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public Integer getUsableChatCount() {
        if (null == usableChatCount) {
            return 0;
        }
        return usableChatCount;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public void setUsableChatCount(Integer usableChatCount) {
        this.usableChatCount = usableChatCount;
    }

    public void setChatHmId(Long chatHmId) {
        this.chatHmId = chatHmId;
    }

    public Long getChatHmId() {
        return chatHmId;
    }

    public void setChatHmCode(String chatHmCode) {
        this.chatHmCode = chatHmCode;
    }

    public String getChatHmCode() {
        return chatHmCode;
    }

    public String getName() {
        return name;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }

    public void setAutoCreateRoom(Integer autoCreateRoom) {
        this.autoCreateRoom = autoCreateRoom;
    }

    public Integer getAutoCreateRoom() {
        return autoCreateRoom;
    }

    public void setRoomBaseId(Integer roomBaseId) {
        this.roomBaseId = roomBaseId;
    }

    public Integer getRoomBaseId() {
        return roomBaseId;
    }

    public void setRoomBaseName(String roomBaseName) {
        this.roomBaseName = roomBaseName;
    }

    public String getRoomBaseName() {
        return roomBaseName;
    }

    public void setWxConfigId(String wxConfigId) {
        this.wxConfigId = wxConfigId;
    }

    public String getWxConfigId() {
        return wxConfigId;
    }

    public void setWxQrCode(String wxQrCode) {
        this.wxQrCode = wxQrCode;
    }

    public String getWxQrCode() {
        return wxQrCode;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setModifierId(String modifierId) {
        this.modifierId = modifierId;
    }

    public String getModifierId() {
        return modifierId;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setCreateTime(java.util.Date createTime) {
        this.createTime = createTime;
    }

    public java.util.Date getCreateTime() {
        return createTime;
    }

    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    public void setChatCount(Integer chatCount) {
        this.chatCount = chatCount;
    }

    public Integer getChatCount() {
        return chatCount;
    }

    public void setLinkCount(Integer linkCount) {
        this.linkCount = linkCount;
    }

    public Integer getLinkCount() {
        return linkCount;
    }
}